net.sf.jasperreports.engine.fill

## Interface TextLineWrapper

- All Known Implementing Classes:
    ComplexTextLineWrapper, SimpleTextLineWrapper

      public interface TextLineWrapper

  Version:
    $Id: TextLineWrapper.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextLine` | `baseTextLine(int index)`
    `char` | `charAt(int index)`
    `java.lang.String` | `getLineText(int start, int end)`
    `void` | `init(TextMeasureContext context)`
    `TextLineWrapper` | `lastLineWrapper(java.lang.String lineText, int start, int textLength, boolean truncateAtChar)`
    `float` | `maxFontsize(int start, int end)`
    `int` | `maxFontSize(int start, int end)` Deprecated. Replaced by `maxFontsize(int, int)`.
    `TextLine` | `nextLine(float width, int endLimit, boolean requireWord)`
    `int` | `paragraphEnd()`
    `int` | `paragraphPosition()`
    `boolean` | `start(JRStyledText styledText)`
    `void` | `startEmptyParagraph(int paragraphStart)`
    `void` | `startParagraph(int paragraphStart, int paragraphEnd, boolean truncateAtChar)`

- - ### Method Detail

    - #### init

          void init(TextMeasureContext context)

    - #### start

          boolean start(JRStyledText styledText)

    - #### startParagraph

          void startParagraph(int paragraphStart,
                            int paragraphEnd,
                            boolean truncateAtChar)

    - #### startEmptyParagraph

          void startEmptyParagraph(int paragraphStart)

    - #### paragraphPosition

          int paragraphPosition()

    - #### paragraphEnd

          int paragraphEnd()

    - #### nextLine

          TextLine nextLine(float width,
                          int endLimit,
                          boolean requireWord)

    - #### baseTextLine

          TextLine baseTextLine(int index)

    - #### maxFontSize

          int maxFontSize(int start,
                        int end)

      Deprecated. Replaced by `maxFontsize(int, int)`.

    - #### maxFontsize

          float maxFontsize(int start,
                          int end)

    - #### getLineText

          java.lang.String getLineText(int start,
                                     int end)

    - #### charAt

          char charAt(int index)

    - #### lastLineWrapper

          TextLineWrapper lastLineWrapper(java.lang.String lineText,
                                        int start,
                                        int textLength,
                                        boolean truncateAtChar)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com